
<style>
.box_card {
  background-color: #fff;
  border:1px solid #ddd;
  padding:20px;
  border-radius:3px;

}
</style>


<div class="box_card" style="margin:auto; margin:20px 8px 0 8px;">

  <fieldset>
    <div class="form-group">
      <LEGEND style="text-align:center">VERTICAL</LEGEND>
      <div class="custom-control custom-checkbox">
        <input type="checkbox" class="custom-control-input" id="food" value="Food and drink">
        <label class="custom-control-label" for="food">Food and Drink</label>
      </div>
      <div class="custom-control custom-checkbox">
        <input type="checkbox" class="custom-control-input" id="health" value="Health and beauty">
        <label class="custom-control-label" for="health">Health and beauty</label>
      </div>
      <div class="custom-control custom-checkbox">
        <input type="checkbox" class="custom-control-input" id="shops" value="Shops">
        <label class="custom-control-label" for="shops">Shops</label>
      </div>
      <div class="custom-control custom-checkbox">
        <input type="checkbox" class="custom-control-input" id="organization" value="Organizations and education">
        <label class="custom-control-label" for="organization">Organizations and education</label>
      </div>
      <div class="custom-control custom-checkbox">
        <input type="checkbox" class="custom-control-input" id="business" value="Businesses and services">
        <label class="custom-control-label" for="business">Businesses and services</label>
      </div>
      <div class="custom-control custom-checkbox">
        <input type="checkbox" class="custom-control-input" id="fun" value="Leisure, fun and travel">
        <label class="custom-control-label" for="fun">Leisure, fun and travel</label>
      </div>
      <div class="custom-control custom-checkbox">
        <input type="checkbox" class="custom-control-input" id="others" value="Others">
        <label class="custom-control-label" for="others">Others</label>
      </div>
    </div>
    <input type="text" class="form-control" id="zip" placeholder="Código Postal">

    
  </fieldset>
</div>

<div class="box_card" style="margin:auto; margin:20px 8px 0 8px;">

  <fieldset>
    <!--<LEGEND style="text-align:center">BÚSQUEDA</LEGEND>-->

     <div class="form-group">
      <LEGEND style="text-align:center">ENGAG. & FANS</LEGEND>
      <input type="text" class="form-control" id="engadgement" placeholder="Valor de engagement">
      <input type="text" class="form-control" id="minfans" placeholder="Mínimos Fans">
      <input type="text" class="form-control" id="maxfans" placeholder="Máximos Fans">
    </div>


</div>



<script>

  global_var_content = '';


  function get_limit_retailers() {
    var limitRetailers = $('#limitRetailers').val();
    if (limitRetailers == '') return 0;
    else return limitRetailers;
  }

  function get_engadgement() {
    var engadgement = $('#engadgement').val();
    if (engadgement == '') return 0;
    else return engadgement;
  }
  function get_min_fans_count() {
    var fans = $('#minfans').val();
    if (fans == '') return 0;
    else return fans;
  }
  function get_zip() {
    var zip = $('#zip').val();
    if (zip == '') return 0;
    else return zip;
  }
  function get_max_fans_count() {
    var fans = $('#maxfans').val();
    if (fans == '') return 0;
    else return fans;
  }



  function get_verticals() {
    var verticals = [];
    $(':checkbox:checked').each(function(i){
      verticals[i] = $(this).val();
    });
    return verticals;
  }



  function bind_open_posts(){
      $( ".open_posts" ).click(function() {
        var fb_id = $(this).attr('fb_id');
        get_posts(fb_id);
      });
  }

  window.data_chart = [];
  function get_posts(fb_id){
    $.get(
      "/get_posts",
      "facebook_id=" + fb_id + "&content=" + global_var_content,
      function(posts) { 
          $('.modal-body').html('');
          var jsonPostsArray = $.parseJSON('[' + posts + ']')[0];

          var data_array = [];
          var post_index = 0;
          jsonPostsArray.forEach(function(post) {
            data_array.push({x:post.created_time, y:round_engagement(post.engadgement) });
            $('.modal-body').append(mount_post_content(post, post_index));
            post_index++;
          });

          $('#myModal').modal('toggle');
          draw_chart(data_array);
      },
      "html"
    );
  }


  function apply_clusters(){
      markerCluster = new MarkerClusterer(map, markers, {maxZoom: 17,
     zoomOnClick: false,
        imagePath: 'https://googlemaps.github.io/js-marker-clusterer/images/m'});
  }

  function round_engagement(engagement) {
    return Math.round(engagement*100)/100;
  }


</script>
